#ifndef PLAYERMANAGER_HPP_INCLUDED
#define PLAYERMANAGER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "FriendList.hpp"
#include "IgnoreList.hpp"

namespace Internal
{
    class PlayerManager : public Object
    {
        public:
            PlayerManager();
            PlayerManager(const void* Obj);
            PlayerManager(const PlayerManager& P);
            static Class GetClass();

            FriendList GetFriendList() const;
            IgnoreList GetIgnoreList() const;

    };
}

#endif // PLAYERMANAGER_HPP_INCLUDED
